<template>
    <div>
        <iframe id="mvcFrame" frameborder="0" style="padding:0;margin:-12px;width: 100%;" v-bind:src="address" noscroll="">
        </iframe>
    </div>

</template>

<style>

</style>

<script>
    export default{
        data(){
            var domain = function (domain) {
                var ares = domain.split(':')[0].split('.')
                ares.shift()
                ares.unshift('')
                return ares.join('.')
            }(window.document.domain);

            var url = "//"+this.$route.meta.system + domain + "/" + this.$route.meta.mvcUrl
            return {
                address:url
            }
        },
        mounted(){
            //var that = this;
            //window.setTimeout(function () {
                var iframe = document.getElementById("mvcFrame");
                var h = window.innerHeight - $(".navbar").height() - $(".page-header").height() -20;
                iframe.style.height=h+"px";
           // },100)
        },
        methods:{
            init:function () {



            }
        }

    }


</script>